
Foreman - Bug #3545

Foreman-release 1.3.0 RPM plugins repo sets gpgcheck=1 even though the repo is not signed

10/29/2013 11:30 PM - Martin Jackson

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

/etc/yum.repos.d/foreman-plugins.repo from foreman-release-1.3.0-1.fc19.noarch ships with gpgcheck=1.  But the files in the

foreman-plugins repo are not actually signed.

I see two solutions to this problem:

1)  Sign the packages, and leave the file as is

2)  Set gpgcheck=0 in the file.

Related issues:

Is duplicate of Foreman - Bug #3251: Plugins repo definition is unsigned, sho... Closed 10/15/2013

History

#1 - 10/30/2013 08:25 AM - Dominic Cleal

- Is duplicate of Bug #3251: Plugins repo definition is unsigned, should not have gpgcheck=1 added

#2 - 10/30/2013 08:25 AM - Dominic Cleal

- Category set to Packaging

- Status changed from New to Duplicate

Thanks for the report Martin, we've disabled gpgcheck for 1.3.1 which will be out shortly.
